WKSChart::Position Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
WKSChart::Position Struct Reference

a cell position More...

`#include <WKSChart.h>`

## Public Member Functions
| Position (Vec2i pos=Vec2i(-1,-1), librevenge::RVNGString const &sheetName="")
| constructor More...
bool | valid () const
| return true if the position is valid More...
bool | valid (Position const &maxPos) const
| return true if the position is valid More...
librevenge::RVNGString | getCellName () const
| return the cell name More...
bool | operator== (Position &pos) const
| operator== More...
bool | operator!= (Position &pos) const
| operator!= More...

## Public Attributes
Vec2i | m_pos
| the cell column and row More...
librevenge::RVNGString | m_sheetName
| the cell sheet name More...

## Friends
std::ostream & | operator<< (std::ostream &o, Position const &pos)
| operator<< More...

## Detailed Description

a cell position

## Constructor & Destructor Documentation

## ◆ Position()

WKSChart::Position::Position | ( | Vec2i | pos = `Vec2i(-1,-1)`,
|  | librevenge::RVNGString const & | sheetName = `""`
| ) |  |
| inlineexplicit

constructor

## Member Function Documentation

## ◆ getCellName()

librevenge::RVNGString WKSChart::Position::getCellName | ( |  | ) | const

return the cell name

## ◆ operator!=()

bool WKSChart::Position::operator!= | ( | Position & | pos | ) | const
| inline

operator!=

## ◆ operator==()

bool WKSChart::Position::operator== | ( | Position & | pos | ) | const
| inline

operator==

Referenced by operator!=().

## ◆ valid() [1/2]

bool WKSChart::Position::valid | ( |  | ) | const
| inline

return true if the position is valid

Referenced by getCellName(), operator<<(), valid(), WKSChart::Serie::valid(), and WKSChart::TextZone::valid().

## ◆ valid() [2/2]

bool WKSChart::Position::valid | ( | Position const & | maxPos | ) | const
| inline

return true if the position is valid

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | WKSChart::Position const & | pos
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_pos

Vec2i WKSChart::Position::m_pos

the cell column and row

Referenced by getCellName(), operator<<(), operator==(), and valid().

## ◆ m_sheetName

librevenge::RVNGString WKSChart::Position::m_sheetName

the cell sheet name

Referenced by getCellName(), operator<<(), operator==(), and valid().

The documentation for this struct was generated from the following files:

- WKSChart.h
- WKSChart.cpp